IBANValidatorStatus (Apache Commons Validator 1.11.0 API)
Description: declaration: package: org.apache.commons.validator.routines, enum: IBANValidatorStatus

# Enum IBANValidatorStatus

java.lang.Object
java.lang.Enum<IBANValidatorStatus>
org.apache.commons.validator.routines.IBANValidatorStatus

All Implemented Interfaces:
  `Serializable, Comparable<IBANValidatorStatus>`

public enum IBANValidatorStatus extends Enum<IBANValidatorStatus>
Enumerates statuses of IBAN validation.

Since:
  1.10.0

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INVALID_CHECKSUM`
  Checksum for given IBAN is invalid
  `INVALID_LENGTH`
  Length for given IBAN is wrong
  `INVALID_PATTERN`
  Pattern for given IBAN is not match
  `UNKNOWN_COUNTRY`
  IBAN validator for given country is not registered
  `VALID`
  IBAN is valid

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IBANValidatorStatus`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static IBANValidatorStatus[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VALID

    public static final IBANValidatorStatus VALID
    IBAN is valid

  - ### UNKNOWN_COUNTRY

    public static final IBANValidatorStatus UNKNOWN_COUNTRY
    IBAN validator for given country is not registered

  - ### INVALID_LENGTH

    public static final IBANValidatorStatus INVALID_LENGTH
    Length for given IBAN is wrong

  - ### INVALID_PATTERN

    public static final IBANValidatorStatus INVALID_PATTERN
    Pattern for given IBAN is not match

  - ### INVALID_CHECKSUM

    public static final IBANValidatorStatus INVALID_CHECKSUM
    Checksum for given IBAN is invalid

- ## Method Details

  - ### values

    public static IBANValidatorStatus[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static IBANValidatorStatus valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null